The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a Packet Capture Rule Template

Prev Next

This URL deletes a packet capture rule template.

Resource URL

DELETE /domain/<domain_id>/packetcaptureruletemplate/<name>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes
name Template name String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status of delete. 1 if successful Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domain/101/packetcaptureruletemplate/test

Payload

None

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 4703 Invalid domain
2 400 6213 Invalid template name